OpenVDB: ComputeIntersectingVoxelSign< TreeType, MeshDataAdapter > Struct Template Reference

OpenVDB 5.2.0

Public Types | Public Member Functions | List of all members
ComputeIntersectingVoxelSign< TreeType, MeshDataAdapter > Struct Template Reference

`#include <MeshToVolume.h>`

## Public Types
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType
using | Int32TreeType = typename TreeType::template ValueConverter< Int32 >::Type
using | Int32LeafNodeType = typename Int32TreeType::LeafNodeType
using | PointArray = std::unique_ptr< Vec3d[]>
using | MaskArray = std::unique_ptr< bool[]>
using | LocalData = std::pair< PointArray, MaskArray >
using | LocalDataTable = tbb::enumerable_thread_specific< LocalData >

## Public Member Functions
| ComputeIntersectingVoxelSign (std::vector< LeafNodeType *> &distNodes, const TreeType &distTree, const Int32TreeType &indexTree, const MeshDataAdapter &mesh)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ Int32LeafNodeType

using Int32LeafNodeType = typename Int32TreeType::LeafNodeType

## ◆ Int32TreeType

using Int32TreeType = typename TreeType::template ValueConverter<Int32>::Type

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ LocalData

using LocalData = std::pair<PointArray, MaskArray>

## ◆ LocalDataTable

using LocalDataTable = tbb::enumerable_thread_specific<LocalData>

## ◆ MaskArray

using MaskArray = std::unique_ptr<bool[]>

## ◆ PointArray

using PointArray = std::unique_ptr<Vec3d[]>

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ ComputeIntersectingVoxelSign()

ComputeIntersectingVoxelSign | ( | std::vector< LeafNodeType *> & | distNodes,
|  | const TreeType & | distTree,
|  | const Int32TreeType & | indexTree,
|  | const MeshDataAdapter & | mesh
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- MeshToVolume.h